Bug 142691 - Make hangs with large values of parallel jobs (-j)
Make hangs with large values of parallel jobs (-j)
Product: Fedora
Classification: Fedora
Component: make (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: 17374 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-12-12 18:00 EST by John William
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.80-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-13 16:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John William 2004-12-12 18:00:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 

Description of problem:
Passing make a large number of jobs, either as "-j n" or as "--
jobs==n" will hang make for large values of "n". The magic number 
appears to be 4098 on my test system. "make -j 4097" works 
correctly. "make -j 4098" hangs.

Note that make itself hangs - this isn't a problem with trying to 
spawn too many processes. Make will hang even when all targets are up-

This bug has been present since at least RH6.2

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. "make -j 9999" - make hangs.

Actual Results:  Make hangs.

Expected Results:  Make should either give an error message, use a 
smaller value for -j with a warning or work correctly.

Additional info:
Comment 1 John William 2004-12-12 18:00:45 EST
*** Bug 17374 has been marked as a duplicate of this bug. ***
Comment 2 Jakub Jelinek 2004-12-13 16:27:25 EST
Well, it hurts, then don't do it ;)
Anyway, make-3.80-6 in tomorrow's rawhide should disregard -jN for N bigger
than PIPE_BUF.

Note You need to log in before you can comment on or make changes to this bug.